# Miscellaneous
*.class
*.log
*.pyc
*.swp
.DS_Store
.atom/
.buildlog/
.history
.svn/

# IntelliJ related
*.iml
*.ipr
*.iws
.idea/

# The .vscode folder contains launch configuration and tasks you configure in
# VS Code which you may wish to be included in version control, so this line
# is commented out by default.
#.vscode/

# Flutter/Dart/Pub related
**/doc/api/
.dart_tool/
.flutter-plugins
.flutter-plugins-dependencies
.packages
.pub-cache/
.pub/
/build/

# Web related
lib/generated_plugin_registrant.dart

# Symbolication related
app.*.symbols

# Obfuscation related
app.*.map.json

# Exceptions to above rules.
!/packages/flutter_tools/test/data/dart_dependencies_test/**/.packages
android/key.properties
android/key.jks
android/app/src/prod/AndroidManifest.xml
android/app/src/prod/google-services.json
android/app/src/prod/res/values/strings.xml
.gradle/5.6.2/gc.properties
.gradle/5.6.2/executionHistory/executionHistory.bin
.gradle/5.6.2/executionHistory/executionHistory.lock
.gradle/5.6.2/fileChanges/last-build.bin
.gradle/5.6.2/fileHashes/fileHashes.lock
.gradle/buildOutputCleanup/buildOutputCleanup.lock
.gradle/buildOutputCleanup/cache.properties
.gradle/vcs-1/gc.properties
